
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_CATEGORY_H
#define MAI_CATEGORY_H

#include <glib-object.h>

G_BEGIN_DECLS

#define MAI_TYPE_CATEGORY mai_category_get_type()

#define MAI_CATEGORY(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAI_TYPE_CATEGORY, MaiCategory))

#define MAI_CATEGORY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MAI_TYPE_CATEGORY, MaiCategoryClass))

#define MAI_IS_CATEGORY(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAI_TYPE_CATEGORY))

#define MAI_IS_CATEGORY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MAI_TYPE_CATEGORY))

#define MAI_CATEGORY_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MAI_TYPE_MODEL, MaiCategoryClass))

typedef struct
{
  GObject parent;
} MaiCategory;

typedef struct
{
  GObjectClass parent;
} MaiCategoryClass;

GType
mai_category_get_type (void);

MaiCategory *
mai_category_new          (const gchar        *name,
                           const gchar        *icon,
                           gboolean            is_default);

const gchar *
mai_category_get_name     (MaiCategory const  *self);

const gchar *
mai_category_get_icon     (MaiCategory const  *self);

gboolean
mai_category_is_default   (MaiCategory const  *self);

G_END_DECLS

#endif /* MAI_CATEGORY_H */

