
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_HYPERLINK_BUTTON_H
#define MAI_HYPERLINK_BUTTON_H

#include <glib-object.h>
#include <nbtk/nbtk.h>

G_BEGIN_DECLS

#define MAI_TYPE_HYPERLINK_BUTTON mai_hyperlink_button_get_type()

#define MAI_HYPERLINK_BUTTON(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAI_TYPE_HYPERLINK_BUTTON, MaiHyperlinkButton))

#define MAI_HYPERLINK_BUTTON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MAI_TYPE_HYPERLINK_BUTTON, MaiHyperlinkButtonClass))

#define MAI_IS_HYPERLINK_BUTTON(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAI_TYPE_HYPERLINK_BUTTON))

#define MAI_IS_HYPERLINK_BUTTON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MAI_TYPE_HYPERLINK_BUTTON))

#define MAI_HYPERLINK_BUTTON_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MAI_TYPE_HYPERLINK_BUTTON, MaiHyperlinkButtonClass))

typedef struct
{
  NbtkButton parent;
} MaiHyperlinkButton;

typedef struct
{
  NbtkButtonClass parent_class;
} MaiHyperlinkButtonClass;

GType
mai_hyperlink_button_get_type (void);

ClutterActor *
mai_hyperlink_button_new_with_label (const gchar *label);

G_END_DECLS

#endif /* MAI_HYPERLINK_BUTTON_H */

