
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_OBJECT_STORE_H
#define MAI_OBJECT_STORE_H

#include <glib-object.h>
#include <clutter/clutter.h>

G_BEGIN_DECLS

#define MAI_TYPE_OBJECT_STORE mai_object_store_get_type()

#define MAI_OBJECT_STORE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  MAI_TYPE_OBJECT_STORE, MaiObjectStore))

#define MAI_OBJECT_STORE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  MAI_TYPE_OBJECT_STORE, MaiObjectStoreClass))

#define MAI_IS_OBJECT_STORE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  MAI_TYPE_OBJECT_STORE))

#define MAI_IS_OBJECT_STORE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  MAI_TYPE_OBJECT_STORE))

#define MAI_OBJECT_STORE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  MAI_TYPE_OBJECT_STORE, MaiObjectStoreClass))

typedef struct MaiObjectStore_        MaiObjectStore;
typedef struct MaiObjectStoreClass_   MaiObjectStoreClass;

struct MaiObjectStore_ {
  ClutterModel parent;
};

struct MaiObjectStoreClass_ {
  ClutterModelClass parent;
};

GType mai_object_store_get_type (void) G_GNUC_CONST;

ClutterModel * mai_object_store_new (guint n_columns,
                                     ...);

void mai_object_store_foreach_unfiltered (MaiObjectStore          *self,
                                          ClutterModelForeachFunc  func,
                                          gpointer                 user_data);

G_END_DECLS

#endif /* MAI_OBJECT_STORE_H */

