
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_RESOLVER_H
#define MAI_RESOLVER_H

#include <glib-object.h>
#include "mai-package.h"

G_BEGIN_DECLS

#define MAI_TYPE_RESOLVER mai_resolver_get_type()

#define MAI_RESOLVER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAI_TYPE_RESOLVER, MaiResolver))

#define MAI_RESOLVER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MAI_TYPE_RESOLVER, MaiResolverClass))

#define MAI_IS_RESOLVER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAI_TYPE_RESOLVER))

#define MAI_IS_RESOLVER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MAI_TYPE_RESOLVER))

#define MAI_RESOLVER_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MAI_TYPE_RESOLVER, MaiResolverClass))

typedef struct
{
  GObject parent;
} MaiResolver;

typedef struct
{
  GObjectClass parent_class;
} MaiResolverClass;

GType
mai_resolver_get_type (void);

MaiResolver *
mai_resolver_new         (void);

void
mai_resolver_add_package   (MaiResolver       *self,
                         MaiPackage     *package);

gint
mai_resolver_get_progress  (MaiResolver const *self);

gboolean
mai_resolver_resolve       (MaiResolver       *self,
                         GError        **error);

G_END_DECLS

#endif /* MAI_RESOLVER_H */

