
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_TRANSACTION_MANAGER_H
#define MAI_TRANSACTION_MANAGER_H

#include <glib-object.h>
#include "mai-package.h"

G_BEGIN_DECLS

#define MAI_TYPE_TRANSACTION_MANAGER mai_transaction_manager_get_type()

#define MAI_TRANSACTION_MANAGER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAI_TYPE_TRANSACTION_MANAGER, MaiTransactionManager))

#define MAI_TRANSACTION_MANAGER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MAI_TYPE_TRANSACTION_MANAGER, MaiTransactionManagerClass))

#define MAI_IS_TRANSACTION_MANAGER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAI_TYPE_TRANSACTION_MANAGER))

#define MAI_IS_TRANSACTION_MANAGER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MAI_TYPE_TRANSACTION_MANAGER))

#define MAI_TRANSACTION_MANAGER_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MAI_TYPE_TRANSACTION_MANAGER, MaiTransactionManagerClass))

typedef struct
{
  GObject parent;
} MaiTransactionManager;

typedef struct
{
  GObjectClass parent_class;
} MaiTransactionManagerClass;

GType
mai_transaction_manager_get_type (void);

MaiTransactionManager *
mai_transaction_manager_new             (void);

gboolean
mai_transaction_manager_queue           (MaiTransactionManager   *self,
                                         MaiPackage              *package,
                                         MaiPackageStatus         target_status,
                                         GError                 **error);

gboolean
mai_transaction_manager_cancel_by_name  (MaiTransactionManager   *self,
                                         const gchar             *package_name,
                                         GError                 **error);

G_END_DECLS

#endif /* MAI_TRANSACTION_MANAGER_H */

