
/*
 * moblin-app-installer -- Moblin garage client application.
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Author: Robert Staudinger <robertx.staudinger@intel.com>
 */

#ifndef MAI_TRANSACTION_H
#define MAI_TRANSACTION_H

#include <glib-object.h>
#include "mai-package.h"

G_BEGIN_DECLS

#define MAI_TYPE_TRANSACTION mai_transaction_get_type()

#define MAI_TRANSACTION(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MAI_TYPE_TRANSACTION, MaiTransaction))

#define MAI_TRANSACTION_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MAI_TYPE_TRANSACTION, MaiTransactionClass))

#define MAI_IS_TRANSACTION(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MAI_TYPE_TRANSACTION))

#define MAI_IS_TRANSACTION_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MAI_TYPE_TRANSACTION))

#define MAI_TRANSACTION_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MAI_TYPE_TRANSACTION, MaiTransactionClass))

typedef struct
{
  GObject parent;
} MaiTransaction;

typedef struct
{
  GObjectClass parent_class;

  /* Signals */
  void (* finished) (MaiTransaction *self);
} MaiTransactionClass;

GType
mai_transaction_get_type (void);

MaiTransaction *
mai_transaction_new               (MaiPackage           *package,
                                   MaiPackageStatus      target_status);

MaiPackageStatus
mai_transaction_get_target_status (MaiTransaction const *self);

MaiPackage *
mai_transaction_get_package       (MaiTransaction const *self);

gboolean
mai_transaction_run               (MaiTransaction       *self,
                                   GError              **error);

G_END_DECLS

#endif /* MAI_TRANSACTION_H */

